# PATCH /v4/organizations/{organizationId}/api-keys/{id}

_Merkl API_

Change the description of a key the caller owns or manages.

### Path parameters

- `organizationId` (string) _(required)_
- `id` (string) _(required)_

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "description": {
      "minLength": 1,
      "maxLength": 255,
      "type": "string"
    }
  },
  "required": [
    "description"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "description": {
      "minLength": 1,
      "maxLength": 255,
      "type": "string"
    }
  },
  "required": [
    "description"
  ]
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "description": {
      "minLength": 1,
      "maxLength": 255,
      "type": "string"
    }
  },
  "required": [
    "description"
  ]
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X PATCH "https://api.merkl.xyz//v4/organizations/{organizationId}/api-keys/{id}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```